Subject: [Healeys] speed channel

From: Richard Kahn <[email-masked]>
Date: Thu, 22 Aug 2013 08:31:12 -0700 FILETIME=[A26964B0:01CE9F4C]

I believe Speed channel is now call Velocity and on my Dish it is 246. It has
many of the same things and a bunch of new car stuff. I still get racing a
stuff on Speed (150).  As Autogeek and Meguires are  big advertiser on Speed,
they would probably know where they are going to spend their money.
Rich Kahn
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys